安装与引用

首先通过NPM安装

npm i @amap/amap-jsapi-loader -S

NPM安装完之后,在需要使用的文件里面通过import引入。

import AMapLoader from "@amap/amap-jsapi-loader";

Demo

<div id="container">
mounted() {
    this.initMap()
},
methods: {
    initMap() {
        AMapLoader.load({
            "key": "这里填KEY",              // 申请好的Web端开发者Key,首次调用 load 时必填
            "version": "1.4.15",            // 指定要加载的 JSAPI 的版本,缺省时默认为 1.4.15
            "plugins": [],                  // 需要使用的的插件列表,如比例尺"AMap.Scale"等
            "AMapUI": {                     // 是否加载 AMapUI,缺省不加载
                "version": "1.1",           // AMapUI 缺省 1.1
                "plugins": [],              // 需要加载的 AMapUI ui插件
            },
            "Loca": {                       // 是否加载 Loca, 缺省不加载
                "version": "1.3.2"          // Loca 版本,缺省 1.3.2
            },
        }).then((AMap) => {
            new AMap.Map("container", {});
        }).catch(e => {
            console.log(e);
        })
    }
}